@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

@keyframes shine {
	0%, 100% { opacity: .25 }
	50% { opacity: 1 }
}
@keyframes shineImage {
  0%, 100% { filter: drop-shadow(1px 1px 100px white ); }
  50% { filter: drop-shadow(1px 1px 50px white ); }
}

:root {
    --text-feirao: "Montserrat", tahoma, sans-serif;
}

/* Global */
body {
    overflow-x: hidden;
}

/* Feirão 2026 */
#feirao {
    padding: 60px 0;
    background: #00e4fe url(../img/feirao/megafeirao.webp) no-repeat center / cover;
    color: #ffffff;
    line-height: 1.2;
    position: relative;
}
#feirao:before {
    content: '';
    width: 50px;
    height: 50px;
    background: url(../img/feirao/novolar-icon.svg) no-repeat center / contain;
    position: absolute;
    top: 30px;
    right: 30px;
}
#feirao .row {
    align-items: center;
}
#feirao .row.m-gap {
    --gap: 40px;
}
@media screen and (max-width: 1199px) {
    #feirao {
        background: #00e4fe url(../img/feirao/megafeirao-dt.webp) no-repeat center / cover;
    }
}
@media screen and (max-width: 899px) {
    #feirao {
    background: #00e4fe url(../img/feirao/megafeirao-tb.webp) no-repeat center / cover;
    }
    #feirao:before {
        width: 45px;
        height: 45px;
        top: 20px;
        right: 20px;
    }
}
@media screen and (max-width: 599px) {
    #feirao {
        background: #00e4fe url(../img/feirao/megafeirao-mb.webp) no-repeat center / cover;
    }
    #feirao:before {
        width: 40px;
        height: 40px;
    }
}
@media screen and (min-width: 900px) {
    #feirao .row .col.w-3of5-dt {
        width: calc(60% - var(--gap));
    }
    #feirao .row .col.w-2of5-dt {
        width: calc(40% - var(--gap));
    }
}

/* Feirão 2026 - Infos */
#feirao .feirao-infos {
    display: flex;
    align-items: center;
    gap: 30px;
    margin-bottom: 25px;
}
#feirao .feirao-infos div:nth-child(1) {
    width: calc(100% - 200px);
}
#feirao .feirao-infos div:nth-child(2) {
    max-width: 160px;
    width: 100%;
}
#feirao .feirao-infos div h1 {
    font-family: var(--text-feirao);
    margin: 0 auto;
    aspect-ratio: 3 / 1;
    text-indent: -999rem;
    background: url(../img/feirao/megafeirao-logo.webp) no-repeat center / contain;
    position: relative;
}
#feirao .feirao-infos div h2 {
    font-family: var(--text-feirao);
    font-size: 1.25rem;
    font-weight: 700;
    text-transform: uppercase;
    color: #6FFF83;
    width: 100%;
}
#feirao .feirao-infos div h3 {
    font-family: var(--text-feirao);
    font-size: 1.25rem;
    font-style: italic;
    font-weight: 400;
    text-transform: uppercase;
    margin-top: 20px;
    border-top: 1px solid #fff;
    padding-top: 20px;
    position: relative;
    max-width: 220px
}
#feirao .feirao-infos div h3::after {
    content: '';
    display: block;
    width: 60px;
    height: 60px;
    background: radial-gradient(closest-side circle at center, hsl(4 5% 100% / 100%) 0%, hsl(4 5% 100% / 100%) 15%, hsl(4 10% 70% / 70%) 30%, hsl(4 0% 50% / 30%) 55%, hsl(4 0% 10% / 5%) 75%, transparent 99%);
    filter: blur(4px);
    position: absolute;
    top: -30px;
    right: 20px;
    transform: scale(2, 1);
    animation: shine 2.5s ease-in-out infinite alternate;
}
#feirao .feirao-infos div h3 span {
    display: none;
}
#feirao .feirao-infos div h3 strong {
    display: block;
}
#feirao .feirao-infos div h3 i {
    font-weight: 300;
}
@media screen and (max-width: 899px) {
    #feirao .feirao-infos {
        max-width: 90%;
        margin: 0 auto 20px;
    }
}
@media screen and (max-width: 699px) {
    #feirao .feirao-infos {
        max-width: 100%;
        margin: 0 auto 20px;
    }
}
@media screen and (max-width: 599px) {
    #feirao .feirao-infos {
        flex-direction: column;
        gap: 10px;
    }

    #feirao .feirao-infos div:nth-child(1) {
        max-width: 90%;
        width: 100%;
    }
    #feirao .feirao-infos div:nth-child(2) {
        max-width: 100%;
        width: 100%;
        margin: auto;
        text-align: center;
    }
    #feirao .feirao-infos div h1 {
        margin-right: 20px;
    }
    #feirao .feirao-infos div h3 {
        margin: 20px auto 0;
    }
    #feirao .feirao-infos div h3::after {
        right: 0;
        left: 0;
        margin: auto;
    }
}

/* Feirão 2026 - Data */
#feirao .feirao-data {
    margin-bottom: 30px;
}
#feirao .feirao-data h4 {
    font-family: var(--text-feirao);
    font-weight: 700;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    font-style: italic;
    text-transform: uppercase;
    gap: 10px;
}
#feirao .feirao-data h4 span:nth-child(1) {
    text-align: right;
    filter: drop-shadow(0 5px 5px black);
    flex: 0 0 300px;
}
#feirao .feirao-data h4 span:nth-child(2) {
    width: 360px;
    height: 160px;
    aspect-ratio: 1;
    text-indent: -999rem;
    background: url(../img/feirao/7-e-8.webp) no-repeat center / contain;
    flex: 0 0 230px;
    margin: -15px;
    animation: shineImage 2s ease-in-out infinite;
}
#feirao .feirao-data h4 span:nth-child(3) {
    filter: drop-shadow(0 5px 5px black);
    flex: 0 0 100px;
}
@media screen and (max-width: 1199px) {
    #feirao .feirao-data h4 {
        font-size: 1.75rem;
    }
     #feirao .feirao-data h4 span:nth-child(1) {
        flex: 0 0 250px;
    }
}
@media screen and (max-width: 1099px) {
    #feirao .feirao-data h4 {
        font-size: 1.65rem;
    }
    #feirao .feirao-data h4 span:nth-child(1) {
        flex: 0 0 235px;
    }
}
@media screen and (max-width: 999px) {
    #feirao .feirao-data h4 {
        font-size: 1.5rem;
    }
    #feirao .feirao-data h4 span:nth-child(1) {
        flex: 0 0 210px;
    }
}
@media screen and (max-width: 959px) {
    #feirao .feirao-data h4 {
        font-size: 1.45rem;
    }
     #feirao .feirao-data h4 span:nth-child(1) {
        flex: 0 0 205px;
    }
}
@media screen and (max-width: 899px) {
    #feirao .feirao-data h4 {
        font-size: 1.75rem;
    }
     #feirao .feirao-data h4 span:nth-child(1) {
        flex: 0 0 250px;
    }
}
@media screen and (max-width: 599px) {
    #feirao .feirao-data h4 {
        flex-direction: column;
    }
    #feirao .feirao-data h4 span {
        flex: 1 1 auto !important;
    }
    #feirao .feirao-data h4 span:nth-child(1) {
        max-width: 300px;
        text-align: center;
    }
}


/* Feirão 2026 - Condições */
#feirao .feirao-condicoes {
    font-size: 1.25rem;
    font-weight: 700;
    text-transform: uppercase;
}
#feirao .feirao-condicoes p {
    font-family: var(--text-feirao);
    font-size: 1.25rem;
    padding-left: 60px;
    position: relative;
    margin-bottom: 20px;
}
#feirao .feirao-condicoes p:before {
    content: '';
    display: block;
    width: 50px;
    height: 50px;
    background: url(../img/feirao/discount.svg) no-repeat center / contain;
    position: absolute;
    bottom: 0;
    top: 0;
    left: 0;
    margin: auto;
    pointer-events: none;
}
#feirao .feirao-condicoes ul {
    padding-left: 75px;
    margin-bottom: 15px;
}
#feirao .feirao-condicoes ul li {
    font-family: var(--text-feirao);
    font-size: 1.25rem;
}
#feirao .feirao-condicoes ul li strong {
    font-size: 1.75rem;
    color: #95C11F;
    font-weight: 900;
}
#feirao .feirao-condicoes small {
    font-family: var(--text-feirao);
    font-size: .825rem;
    font-weight: 100;
    padding-left: 60px;
    font-style: italic;
}
@media screen and (max-width: 599px) {
    #feirao .feirao-condicoes ul li {
        font-size: 1rem;
    }
    #feirao .feirao-condicoes ul, #feirao .feirao-condicoes small {
        padding-left: 20px;
    }
}


/* Feirão 2026 - Empreendimento */
#feirao .feirao-empreendimento {
    width: 90%;
    margin-left: auto;
    position: relative;
}
#feirao .feirao-empreendimento figure {
    width: 100%;
    position: relative;
}
#feirao .feirao-empreendimento figure:nth-child(1) {
    z-index: 1;
    position: relative;
}
#feirao .feirao-empreendimento figure:nth-child(1) img {
    width: 100%;
}
#feirao .feirao-empreendimento figure:nth-child(1):before {
    content: '';
    display: block;
    width: 230%;
    aspect-ratio: 20/13;
    background: url(../img/feirao/neon.webp) no-repeat center / cover;
    position: absolute;
    top: calc(50% - 10px);
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
    pointer-events: none;
}
#feirao .feirao-empreendimento figure:nth-child(2) {
    position: absolute;
    left: -70px;
    bottom: -70px;
    z-index: 2;
}
#feirao .feirao-empreendimento figure:nth-child(2) img {
    width: 200px;
    height: 200px;
    margin: 0;
}
@media screen and (max-width: 1199px) {
    #feirao .feirao-empreendimento figure:nth-child(2) img {
        width: 180px;
        height: 180px;
        bottom: -50px;
    }
}
@media screen and (max-width: 899px) {
    #feirao .feirao-empreendimento {
        width: 90%;
        margin: auto;
    }
    #feirao .feirao-empreendimento figure:nth-child(2) {
        display: flex;
        justify-content: center;
        left: 0;
    }
}
@media screen and (max-width: 599px) {
    #feirao .feirao-empreendimento figure:nth-child(2) img {
        width: 150px;
        height: 150px;
        bottom: -50px;
    }
}



/* Feirão 2026 - CTA */
#feirao .feirao-cta .cta {
    display: inline-block;
    padding: 8px;
    border: 1px solid white;
    border-radius: 40px;
    position: relative;
    margin-top: 100px;
    width: 100%;
}
#feirao .feirao-cta .cta:hover {
    scale: 1.05;
}
#feirao .feirao-cta .cta::before,
#feirao .feirao-cta .cta::after {
    content: '';
    display: block;
    width: calc(100% - 60px);
    height: 1px;
    background: white;
    background: linear-gradient(90deg, white 0%, #194D9D 25%, #194D9D 75%, white 100%);
    position: absolute;
    left: 30px;
}
#feirao .feirao-cta .cta::before {
    top: -1px;
}
#feirao .feirao-cta .cta::after {
    bottom: -1px;
}
#feirao .feirao-cta .cta span {
    display: inline-block;
    padding: 14px 20px;
    background-color: #95C11F;
    color: #fff;
    border-radius: 40px;
    font-family: var(--text-feirao);
    font-weight: 700;
    text-transform: uppercase;
    font-size: 1.25rem;
    position: relative;
    transition: all .3s ease-out;
    width: 100%;
    text-align: center;
}
#feirao .feirao-cta .cta:hover span {
    background-color: white;
    color: #95C11F;
}
#feirao .feirao-cta .cta span::before,
#feirao .feirao-cta .cta span::after {
    content: '';
    display: block;
    width: 60px;
    height: 60px;
    background: radial-gradient(closest-side circle at center, hsl(4 5% 100% / 100%) 0%, hsl(4 5% 100% / 100%) 15%, hsl(4 10% 70% / 70%) 30%, hsl(4 0% 50% / 30%) 55%, hsl(4 0% 10% / 5%) 75%, transparent 99%);
    filter: blur(4px);
    position: absolute;
    animation: shine 2.5s ease-in-out infinite alternate;
}
#feirao .feirao-cta .cta span::before {
    top: -30px;
    left: -30px;
    transform: scale(.5, 1);
    rotate: 35deg;
}
#feirao .feirao-cta .cta span::after {
    top: -12px;
    right: -38px;
    transform: scale(.7, 1);
    animation-duration: 3.5s;
}
@media screen and (max-width: 599px) {
    #feirao .feirao-cta .cta span {
        font-size: 1rem;
    }
}
/* End Feirão 2026 */


